/********************************************************************** 
Copyright (c) 2014 
All rights reserved. 
文件名称：CLS_DlgDrawPolygon.h 
摘 要：画多边形 
版 本：0.1s
作 者：helixiang
完成日期：2014年02月22日 
*********************************************************************/

#pragma once
#include "CLS_DlgVedio.h"
#include "AVPlaySdkTypes.h"
#include "afxwin.h"

// CLS_DlgDrawPolygon dialog

class CLS_DlgDrawPolygon : public CDialog
{
	DECLARE_DYNAMIC(CLS_DlgDrawPolygon)

public:
	CLS_DlgDrawPolygon(CWnd* pParent = NULL);   // standard constructor
	virtual ~CLS_DlgDrawPolygon();

	POINT       m_ptSet[VCA_MAX_POLYGON_POINT_NUM];			//存放已点击的点坐标数组
	int         m_iPointCount;				//已点击点的个数

	POINT m_ptCur;			//当前的点坐标
	CLS_DlgVedio *m_pDlgVedio;		//显示视频的PNL

// Dialog Data
	enum { IDD = IDD_DRAWPOLYGON };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedBtnClear();
	afx_msg LRESULT OnPanelClick(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
public:
	CStatic m_gpPanl;
	CButton m_chkArrow;
	
	/**************************************************************************************************
	函数  ：AbsPointsToVideo
	功能  ：转化窗口上的点成视频上的点坐标
	参数  ：POINT ，int _iPointCount  点的总个数
	返回值：void
	**************************************************************************************************/
	void AbsPointsToVideo(POINT * _ptArray, int _iPointCount);
	int GetPointIndex(int _iX, int _iY, int _iMinDist);	
	afx_msg void OnClose();
};
